Name:       gnome-shell-extension-activities-configurator
Summary:    Configure the top bar and Activities button in GNOME Shell
Version:    71
Release:    1%{?dist}
URL:        https://extensions.gnome.org/extension/358/activities-configurator/
License:    GPLv2
BuildArch:  noarch

# You can see the latest source releases here:
# https://nls1729.github.io/activities_config_zip.html
# With the changelog here:
# https://nls1729.github.io/latestupdate.html
%global  gnome_extensions_build_id    8957
# Source0: https://extensions.gnome.org/extension-data/activities-config@nls1729.v%%{version}.shell-extension.zip
Source0: https://extensions.gnome.org/review/download/%{gnome_extensions_build_id}.shell-extension.zip
Source1: README.md

Requires: gnome-shell >= 3.28
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Activities Configurator gives you all sorts of options to control the look and
feel of the top bar and Activities button in GNOME Shell, possibly even
overriding your current Shell theme. You can change or remove the Activities
button text, add an icon, move it to right corner, change the top bar's
background color and transparency... You can toggle the Overview if no
applications are running (at login and whenever the last application window is
closed). You can also adjust the "pressure" threshold for the hot corner, or
disable it altogether.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  activities-config@nls1729
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -c %{name}-%{version}

%build
# No compilation necessary.

%install
mkdir -p %{final_install_dir}
cp --recursive --preserve=mode,timestamps  ./*  %{final_install_dir}
cp --recursive --preserve=mode,timestamps  %{SOURCE1}  ./README-fedora.md

# License and README get copied to system directories for docs and license.
rm  %{final_install_dir}/COPYING  %{final_install_dir}/README.txt

# RPM will take care of gschemas, we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.activities-config.gschema.xml  \
    %{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/

mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang activities-config-extension



%files -f activities-config-extension.lang
%doc README.txt  README-fedora.md
%license COPYING
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.activities-config.gschema.xml



%changelog
* Sat Apr 13 2019 Andrew Toskin <andrew@tosk.in> - 71-1
- Bump to upstream version 71. Release Monitoring skipped a few
  releases, it seems, but since version 65, Activities Configurator
  refactored its code and made changes to be better compatible with
  GNOME 3.30, and fixed bugs and added new improvements in the maximized
  window effects.

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 65-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 65-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Andrew Toskin <andrew@tosk.in> - 65-1
- Bump to upstream version 65, which removes a line of crufty old code
  that caused errors for some users, preventing them from loading
  Activities Configurator.

* Tue Apr 24 2018 Andrew Toskin <andrew@tosk.in> - 64-1
- Bump to upstream version 64, which assures compatibility with GNOME
  3.28 and corrects typos in the extension's metadata.
